.. {{ name }}.autodoc,
   created by doc-engine -> autodoc_template.rst.j2
   {{ date.strftime('%m-%d-%Y:%H:%M') }}
   version info {{ version_info['commit'] }}

{{ page_title | replace('-', ' ') | title }}
{{ '=' * (page_title | length) }}

{% if description %}
{{ description | trim }}

{% endif %}
{% if programs %}
{% for program in programs %}
.. autoprogram:: {{ program }}

{% endfor %}

{% endif %}
{% if imports %}
.. code-block:: python

{% for import in imports %}
{{ import | trim | indent(3, first=True) }}
{% endfor %}

{% endif %}
{% for module in modules -%}
{% if module.heading %}
{{ module.heading | trim }}
{{ '-' * (module.heading | trim | length) }}

{% endif -%}
{%if module.description %}{{ module.description | trim }}

{% endif %}
{% if module.usage -%}
Usage
^^^^^

.. code-block:: python

{{ module.usage | trim | indent(3, first=True) }}

{% endif %}
{% if module.imports %}
.. code-block:: python

{% for import in module.imports %}
{{ import | trim | indent(3, first=True) }}
{% endfor %}

{% endif %}
.. automodule:: {{ module.module | trim }}
   :members:
   :undoc-members:

{% endfor %}

{% if add_toc or add_indexes %}
{% include auto_toc.j2 %}
{% endif %}
